org.gradle.api.artifacts

## Interface ConfigurationPublications

-     @Incubating
      public interface ConfigurationPublications

  Represents the outgoing artifacts associated with a configuration. These artifacts are used when the configuration is referenced during dependency resolution.

  You can use this interface associate artifacts with a configuration using the `artifact(Object)` methods. You can also define several variants of the configuration's artifacts. Each variant represents a set of artifacts that form some mutually exclusive usage of the component.

  Since:
    3.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `artifact(Object notation)` Adds an outgoing artifact to this configuration.
    `void` | `artifact(Object notation, Action<? super ConfigurablePublishArtifact> configureAction)` Adds an outgoing artifact to this configuration, configuring it using the given action.
    `PublishArtifactSet` | `getArtifacts()` Returns the artifacts associated with this configuration.
    `NamedDomainObjectContainer<ConfigurationVariant>` | `getVariants()` Returns the variants of this configuration, if any.
    `void` | `variants(Action<? super NamedDomainObjectContainer<ConfigurationVariant>> configureAction)` Configures the variants of this configuration.

- - ### Method Detail

    - #### getArtifacts

          PublishArtifactSet getArtifacts()

      Returns the artifacts associated with this configuration. Any artifact added to this set is also included by all variants. It is also inherited by all configurations that extend this configuration.

    - #### artifact

          void artifact(Object notation)

      Adds an outgoing artifact to this configuration. This artifact is included in all variants.

    - #### artifact

          void artifact(Object notation,
                      Action<? super ConfigurablePublishArtifact> configureAction)

      Adds an outgoing artifact to this configuration, configuring it using the given action. This artifact is included in all variants.

    - #### getVariants

          NamedDomainObjectContainer<ConfigurationVariant> getVariants()

      Returns the variants of this configuration, if any.

    - #### variants

          void variants(Action<? super NamedDomainObjectContainer<ConfigurationVariant>> configureAction)

      Configures the variants of this configuration.